unit mainfrm;

interface

uses
  Windows, Messages, SysUtils, Variants, Classes, Graphics, Controls, Forms,
  Dialogs, SDL_onoffbut, SDL_gradfl, ExtCtrls, StdCtrls, SDL_Colsel, Menus,
  Buttons;

type
  TForm1 = class(TForm)
    GradFill1: TGradFill;
    OOBMain: TOnOffBut;
    CBoxButStyle: TComboBox;
    Panel2: TPanel;
    OnOffBut2: TOnOffBut;
    OnOffBut3: TOnOffBut;
    OnOffBut4: TOnOffBut;
    OnOffBut5: TOnOffBut;
    OnOffBut6: TOnOffBut;
    OnOffBut7: TOnOffBut;
    OnOffBut8: TOnOffBut;
    OnOffBut9: TOnOffBut;
    OOBRadioControl: TOnOffBut;
    CBoxFramestyle: TComboBox;
    OOBTransparent: TOnOffBut;
    OOBEnabled: TOnOffBut;
    CSelBakG: TColSel;
    Label1: TLabel;
    CSelText: TColSel;
    Label2: TLabel;
    GradFill2: TGradFill;
    Label3: TLabel;
    ODiag1: TOpenDialog;
    OOButOnlyOne: TOnOffBut;
    CBoxMouseaction: TComboBox;
    Label4: TLabel;
    Label5: TLabel;
    procedure OOBRadioControlClick(Sender: TObject);
    procedure CBoxButStyleChange(Sender: TObject);
    procedure CBoxFramestyleChange(Sender: TObject);
    procedure OOBTransparentClick(Sender: TObject);
    procedure OOBEnabledClick(Sender: TObject);
    procedure CSelBakGChange(Sender: TObject);
    procedure CSelTextChange(Sender: TObject);
    procedure OOButOnlyOneClick(Sender: TObject);
    procedure CBoxMouseactionChange(Sender: TObject);
  private
    { Private declarations }
  public
    { Public declarations }
  end;

var
  Form1: TForm1;

implementation

{$R *.dfm}

uses
  SDL_sdlbase;

(******************************************************************************)
procedure TForm1.OOBRadioControlClick(Sender: TObject);
(******************************************************************************)

begin
if OOBRadioControl.OnOff
  then begin
       OnOffBut2.ButtonStyle := oobsRadioBut;
       OnOffBut3.ButtonStyle := oobsRadioBut;
       OnOffBut4.ButtonStyle := oobsRadioBut;
       OnOffBut5.ButtonStyle := oobsRadioBut;
       OnOffBut6.ButtonStyle := oobsRadioBut;
       OnOffBut7.ButtonStyle := oobsRadioBut;
       OnOffBut8.ButtonStyle := oobsRadioBut;
       OnOffBut9.ButtonStyle := oobsRadioBut;
       end
  else begin
       OnOffBut2.ButtonStyle := oobsColSlideTB;
       OnOffBut3.ButtonStyle := oobsColSlideTB;
       OnOffBut4.ButtonStyle := oobsColSlideTB;
       OnOffBut5.ButtonStyle := oobsColSlideTB;
       OnOffBut6.ButtonStyle := oobsColSlideTB;
       OnOffBut7.ButtonStyle := oobsColSlideTB;
       OnOffBut8.ButtonStyle := oobsColSlideTB;
       OnOffBut9.ButtonStyle := oobsColSlideTB;
       end;
end;

(******************************************************************************)
procedure TForm1.CBoxButStyleChange(Sender: TObject);
(******************************************************************************)

begin
if TOnOffButStyle(CBoxButStyle.Itemindex) = oobsUser
  then begin
       ODiag1.Filter := '*.bmp';
       ODiag1.Filename := '*.bmp';
       if ODiag1.Execute
         then begin
              OOBMain.ButtonStyle := oobsUser;
              OOBMain.LoadUserGlyph(ODiag1.FileName);
              end
         else begin
              CBoxButStyle.Itemindex := 1;
              OOBMain.ButtonStyle := TOnOffButStyle(CBoxButStyle.Itemindex);
              end;
       end
  else begin
       OOBMain.ButtonStyle := TOnOffButStyle(CBoxButStyle.Itemindex);
       end;
end;

(******************************************************************************)
procedure TForm1.CBoxFramestyleChange(Sender: TObject);
(******************************************************************************)

begin
OOBMain.FrameStyle := TFrameStyle(CBoxFramestyle.ItemIndex);
end;

(******************************************************************************)
procedure TForm1.OOBTransparentClick(Sender: TObject);
(******************************************************************************)

begin
OOBMain.Transparent := OOBTransparent.OnOff;
CSelBakG.Enabled := not OOBTransparent.OnOff;
end;

(******************************************************************************)
procedure TForm1.OOBEnabledClick(Sender: TObject);
(******************************************************************************)

begin
OOBMain.Enabled := OOBEnabled.OnOff;
end;

(******************************************************************************)
procedure TForm1.CSelBakGChange(Sender: TObject);
(******************************************************************************)

begin
OOBMain.ColorBackgnd := CSelBakG.SelColor;
end;

(******************************************************************************)
procedure TForm1.CSelTextChange(Sender: TObject);
(******************************************************************************)

begin
OOBMain.ColorText := CSelText.SelColor;
end;

(******************************************************************************)
procedure TForm1.OOButOnlyOneClick(Sender: TObject);
(******************************************************************************)

begin
if OOButOnlyOne.OnOff
  then begin
       OnOffBut2.GroupIndex := 99;
       OnOffBut3.GroupIndex := 99;
       OnOffBut4.GroupIndex := 99;
       OnOffBut5.GroupIndex := 99;
       OnOffBut6.GroupIndex := 99;
       OnOffBut7.GroupIndex := 99;
       OnOffBut8.GroupIndex := 99;
       OnOffBut9.GroupIndex := 99;
       end
  else begin
       OnOffBut2.GroupIndex := 0;
       OnOffBut3.GroupIndex := 0;
       OnOffBut4.GroupIndex := 0;
       OnOffBut5.GroupIndex := 0;
       OnOffBut6.GroupIndex := 0;
       OnOffBut7.GroupIndex := 0;
       OnOffBut8.GroupIndex := 0;
       OnOffBut9.GroupIndex := 0;
       end;
end;


(******************************************************************************)
procedure TForm1.CBoxMouseactionChange(Sender: TObject);
(******************************************************************************)

begin
OOBMain.MouseAction := TOOButMouseAction(CBoxMouseAction.ItemIndex);
end;

end.
